> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check user access for many resources

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'POST' \
    'https://api.coaxial.ai/provisions/can_user_access_all' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>' \
    -H 'Content-Type: application/json' \
    -d '{
    "user_id": <user_id>,
    "tags": [
      <coaxial_resource_id>
    ]
  }'
  ```

  ```python python theme={null}
  import coaxial
  from coaxial.models import CheckAccessForAllRequest
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)
  check_access_for_all_request = CheckAccessForAllRequest(user_id=<user_id>, tags=[<coaxial_resource_id>]) 

  try:
      api_response = coaxial_api.provision.check_access_for_all(check_access_for_all_request)
      print("The response of ProvisionApi->check_access_for_all:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling ProvisionApi->check_access_for_all: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  false
  ```
</ResponseExample>


## OpenAPI

````yaml post /provisions/can_user_access_all
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /provisions/can_user_access_all:
    post:
      tags:
        - provision
      summary: Check user access for many resources
      operationId: check_access_for_all
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/check_access_for_all_request'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                title: Response Check Access For All
                type: boolean
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    check_access_for_all_request:
      properties:
        tags:
          items:
            format: uuid
            type: string
          title: Tags
          type: array
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - tags
      title: check_access_for_all_request
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````